/*
 * The VMEAccess Tcl command.
 */


#ifdef WIN32
#define WIN32_LEAN_AND_MEAN

#include <windows.h>

#define __WIN32__
#endif

#include <tcl.h>


static int  VMEAccessCmd _ANSI_ARGS_((ClientData clientData,
            Tcl_Interp *interp, int argc, char *argv[]));

#ifdef WIN32

DLLIMPORT Tcl_Command Tcl_CreateCommand (Tcl_Interp*, CONST char *, Tcl_CmdProc*, ClientData , Tcl_CmdDeleteProc*);
DLLIMPORT int         Tcl_PkgProvide    (Tcl_Interp*, CONST char *, CONST char *);
    
BOOL WINAPI DllMain(HANDLE hModule, DWORD dwFunction, LPVOID lpNot) {return TRUE;}
#endif


/*
 * VMEAccessCmd --
 *
 * Results:
 *  none
 *
 */
static int
VMEAccessCmd(ClientData data, Tcl_Interp *interp, int argc, char *argv[])
{
    int i;
    int rc;

    printf ("VME Access running\n");

    rc  = system(argv[1]);

    sprintf(interp->result, "0x%x", rc);
    return TCL_OK;
}

/*
 * Vmeaccess_Init --
 *  Initialize the Tcl VMEAccess facility.
 *
 * Results:
 *  TCL_OK.
 *
 * Side Effects:
 *  None.
 */
int
Vmeaccess_Init(Tcl_Interp *interp)
{

    Tcl_CreateCommand(interp, "VMEAccess", (Tcl_CmdProc*) VMEAccessCmd,  NULL, NULL);
    Tcl_PkgProvide(interp, "VMEAccess", "1.0");
    return TCL_OK;
}
