
#   package-load.tcl   -  Common packages used by MIDAS

proc init-packages_8.3 {} {}

proc init-packages_8.4 {} {
    global env tcl_platform

    if {$tcl_platform(os) == "Windows NT"} then {set os Win} else {set os $tcl_platform(os)}

#    puts stdout "Setting up access for Common packages"
    
#    TclX
     set env(TCLX_LIBRARY) [file join $env(MIDASBASE) TclTkpackages tclx 8.4 tcl]
     load-package tclx 8.4

#    TclLib 
     load-package tcllib 1.7

#    SOAP/XML
     load-package tclsoap 1.6.7
     load-package Tcldom 2.6
     load-package Tclxml 2.6
}

proc load-package {package version} {
    global env 

    set dir [file join $env(MIDASBASE) TclTkpackages $package $version]

    if {![file isdir $dir]} then {return}

    source [file join $dir pkgIndex.tcl]
#    puts stdout "package $package available"
}

